#include<stdio.h>
#include<stdlib.h>
#include<sys/types.h>
#include<unistd.h>
#include<sys/socket.h>
#include<sys/wait.h>
#include<string.h>
#include<netinet/in.h>
#include<arpa/inet.h>
#include<pthread.h>

#include"zither.h"
#include<almemsys/almemsys.h>
#include"jpreturn.h"


extern global_data_t gd;



/*--------------- VER_LOGIC -------------------*/
int ver_logi(private_data_t * pd)
{
static int ret;

char * putdata = (char *)calloc(IP_LEN, sizeof(char));

ret = 0;
putdata = safe_sprintf(putdata, BUF_MAX, "200 KO \n  %s\n  http://zither.ms-n.com\n", CL_VAR);
socket_send(gd.ms.sk[pd->rec.fdno], putdata, (pd->life.life_int + pd->life.life_los + 15));

ret = -1;
free(putdata);
return(ret);
}






